var _TOKEN = document.getElementsByName("csrf-token")[0].content;

$(document).ready(function () {
  $("#nueva_portada").click(function (e) {
    nueva_portada();
  });
});

//Mostrar el formulario para registrar una  nueva portada
function nueva_portada() {
  //alert("Nueva portada");
  mp();
  $.ajax({
    url: "/admin/portada/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Guarda la imagen de portada
function cargar_portada_inicio(f) {
  if (!f.checkValidity()) {
    msj("Portada", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/portada/store",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          nueva_portada();
        }
        msj("Portada", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

$(document).ready(function () {
  $("#nueva_categoria").click(function (e) {
    nueva_categoria();
  });
});

//Mostrar el formulario para registrar una  nueva categoria
function nueva_categoria() {
  //alert("Nueva categoria");
  mp();
  $.ajax({
    url: "/admin/categoria/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Guarda la inf. de una categoria
function cargar_categoria(f) {
  if (!f.checkValidity()) {
    msj("Categoría", "Por favor completa los campos", "error");
  } else {
    mp();
    $.ajax({
      url: "/admin/categoria",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: { nombre: f.nombre.value, descripcion: f.descripcion.value },
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          listar_categorias();
        }
        msj("Categoría", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

$(document).ready(function () {
  $("#listado_categoria").click(function (e) {
    listar_categorias();
  });
});

//Mostrar listado de las categorias
function listar_categorias() {
  //alert(" Listar categorias");
  mp();
  $.ajax({
    url: "/admin/categoria",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//filtrado
function filtro_categoria(f) {
  mp();
  $.ajax({
    url: "/admin/categoria",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      descripcion: f.f_descripcion.value,
      estado: f.f_estado.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//Mostrar consultar categoria
function consultar_categorias(id) {
  //alert(" Consultar categorias");
  mp();
  $.ajax({
    url: "/admin/categoria/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//Mostrar Vista mostrar Actualizar categoria
function edit_categoria(id) {
  mp();
  $.ajax({
    url: "/admin/categoria/" + id + "/edit",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (html) {
      console.log("success");
      $("#contenedor").html(html);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//Actualizar la inf. de una categoria
function update_categoria(f, id) {
  if (!f.checkValidity()) {
    msj("Categoría", "Por favor completa los campos", "error");
  } else {
    mp();
    $.ajax({
      url: "/admin/categoria/" + id,
      type: "PATCH",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: { nombre: f.nombre.value, descripcion: f.descripcion.value },
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          listar_categorias();
        }
        msj("categorias", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

//Eliminar una categoria
function delete_categoria(id) {
  mp();
  $.ajax({
    url: "/admin/categoria/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
        listar_categorias();
      }
      msj("Categoría", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
      ocultarModalConfirmacion();
    });
}

//productos oyente
$(document).ready(function () {
  $("#nuevo_producto").click(function (e) {
    nuevo_producto();
  });
});
function nuevo_producto() {
  //alert("Nueva producto");
  mp();
  $.ajax({
    url: "/admin/producto/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Guarda la informacion de un producto
function cargar_producto(f) {
  if (!f.checkValidity()) {
    msj("Productos", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/producto",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          listar_productos();
        }
        msj("Productos", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
//productos oyente
$(document).ready(function () {
  $("#listado_producto").click(function (e) {
    listar_productos();
  });
});
//Mostrar listado de las categorias
function listar_productos() {
  //alert(" Listar categorias");
  mp();
  $.ajax({
    url: "/admin/producto/",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//filtrado
function filtro_producto(f) {
  mp();
  $.ajax({
    url: "/admin/producto/",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      descripcion: f.f_descripcion.value,
      estado: f.f_estado.value,
      categoria: f_categoria.value,
      //fecha_inicio: f.f_fecha_inicio.value,
      //fecha_fin: f.f_fecha_fin.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//valida que el input tenga 4 images cargadas
function validarTres(id, titulo, id2) {
  var input = document.getElementById(id);
  if (input.files.length != 3) {
    document.getElementById(id).value = "";
    document.getElementById(id2).value = "";
    msj(titulo, "Tienen que ser 3 imagenes");
  }
}
//Mostrar Vista mostrar Actualizar producto
function edit_producto(id) {
  mp();
  $.ajax({
    url: "/admin/producto/" + id + "/edit",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (html) {
      console.log("success");
      $("#contenedor").html(html);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Actualizar la inf. de una producto
function update_producto(f, id) {
  if (!f.checkValidity()) {
    msj("Productos", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/producto/" + id,
      type: "PATCH",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          listar_productos();
        }
        msj("Productos", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
function update_producto2(f, id) {
  if (!f.checkValidity()) {
    msj("Productos", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/productos/update/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          listar_productos();
        }
        msj("Productos", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
//Eliminar una producto
function delete_productos(id) {
  mp();
  $.ajax({
    url: "/admin/producto/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
        listar_productos();
      }
      msj("Productos", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
      ocultarModalConfirmacion();
    });
}

// para que aparesca el nombre en los imputs file
function sacardocumentos(id, idt) {
  var input = document.getElementById(id);
  var contenido = "";
  if (input.files && input.files[0])
    for (let index = 0; index < input.files.length; index++) {
      contenido += input.files[index]["name"] + ",";
    }
  contenido = contenido.slice(0, contenido.length - 1);
  var conte = (document.getElementById(idt).value = contenido);
}

//mensajes
// type: 'info', type: 'success',type: 'error'
function msj(titulo, texto, tipo) {
  new PNotify({
    title: titulo,
    text: texto,
    type: tipo,
    styling: "bootstrap3",
  });
}
function mp() {
  $("#loading").fadeIn(400, "linear");
} //funcion para mostar
function op() {
  $("#loading").fadeOut(10, "linear");
} // funcion para ocultar

//modalConfirmacion("hola","¿Está seguro de eliminarlo?","funcion()");
function modalConfirmacion(titulo, contenido, fooder) {
  var titulo2 = (document.getElementById("myModalTitulo").innerHTML = titulo);
  var contenido2 = (document.getElementById("myModalContenido").innerHTML =
    contenido);
  var fooder2 = (document.getElementById("myModalFooder").innerHTML =
    '<center><button type="button" class="btn btn-info btn-xs " data-dismiss="modal">No</button>    <button type="button" class="btn btn-danger btn-xs " id="closeModal" onclick="' +
    fooder +
    '">Si</button></center>');
  $("#myModalHtml").modal();
}
function ocultarModalConfirmacion() {
  //var modal=document.getElementById("myModalHtml");
  //modal.style.display = "none";
  $("#myModalHtml").modal("hide");
}

//modal interno para mostras imagenes, documentos, etc
function modalInterno(titulo, contenido, fooder) {
  var auxCon = contenido.split(",");
  var aux = "";
  if (auxCon.length > 1) {
    aux =
      "<center><table class='table table-striped jambo_table bulk_action '><tbody>";
    for (let i = 0; i < auxCon.length; i++) {
      if (i % 2 == 0) {
        aux +=
          "<tr><td><img src='img/productos/" +
          auxCon[i] +
          "' width='100%' height='auto'></td>";
      } else {
        aux +=
          "<td><img src='img/productos/" +
          auxCon[i] +
          "' width='100%' height='auto'></td></tr>";
      }
    }
    aux += "<tbody></table></center>";
  } else {
    aux =
      "<center><img src='img/productos/" +
      contenido +
      "' alt='Imagen' width='100%' height='auto'></center>";
  }

  var titulo2 = (document.getElementById("myModalTituloInterno").innerHTML =
    titulo);
  var contenido2 = (document.getElementById(
    "myModalContenidoInterno"
  ).innerHTML = aux);
  var fooder2 = (document.getElementById("myModalFooderInterno").innerHTML =
    '<center><button type="button" class="btn btn-info btn-xs " data-dismiss="modal">Cerrar</button>' +
    fooder +
    "</center>");

  //    <button type="button" class="btn btn-danger btn-xs " id="closeModal" onclick="' +fooder +'">Si</button>
  $("#myModalInterno").modal();
}
// muestra toda la informacion de un producto
function modalDetallesProducto(id) {
  mp();
  $.ajax({
    url: "/producto/detalles/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      document.getElementById("modal-contenido-producto").innerHTML = vista;
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
  $("#modal-detalles-producto-principal").modal();
  op();
}
//oculta el modal de detalles del producto
function ocultarmodalDetallesProducto() {
  //var modal=document.getElementById("myModalHtml");
  //modal.style.display = "none";
  $("#modaDetallesProductoTienda").modal("hide");
}
//muestra los primeros 5 prouctos
function cambioVistaCarrito() {
  mp();
  $.ajax({
    url: "/listaCarrito/aux",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      document.getElementById("menu1Carro").innerHTML = vista;
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      ocultarModalConfirmacion();
    });
}
//cambia la imagen en el modal detalles
function cambiarImagen(nombre) {
  document.getElementById("mostrador").innerHTML =
    '<img src="img/productos/' + nombre + '" alt="..." />';
}

//amuneta la cantidad de productos para agregar
function aumentoMas(id) {
  var cantidad = parseFloat(document.getElementById("cantidad" + id).innerHTML);
  var stock = parseFloat(document.getElementById("stock" + id).value);
  var monto = parseFloat(document.getElementById("monto" + id).innerHTML);
  var total = parseFloat(document.getElementById("total").innerHTML);
  var precio = parseFloat(document.getElementById("precio" + id).innerHTML);

  cantidad = cantidad + 1;

  if (stock - (cantidad + 1) < 0) {
    msj("Productos", "El producto no tiene más existencias.", "error");
  } else {
    document.getElementById("cantidad" + id).innerHTML = cantidad;

    var totalN = total + precio;
    document.getElementById("total").innerHTML = totalN.toFixed(2);
    var montoN = cantidad * precio;
    monto = document.getElementById("monto" + id).innerHTML = montoN.toFixed(2);

    cargar_carrito_compra_sin(id);
  }
}
//disminulle la catidad a agregar
function aumentoMenos(id) {
  var cantidad = parseFloat(document.getElementById("cantidad" + id).innerHTML);
  var monto = parseFloat(document.getElementById("monto" + id).innerHTML);
  var total = parseFloat(document.getElementById("total").innerHTML);
  var precio = parseFloat(document.getElementById("precio" + id).innerHTML);
  cantidad = cantidad - 1;
  if (cantidad <= 0) {
    msj("Productos", "El número mínimo para agregar al carrito es 1.", "error");
  } else {
    document.getElementById("cantidad" + id).innerHTML = cantidad;
    var totalN = (total - precio) * 1;
    document.getElementById("total").innerHTML = totalN.toFixed(2);
    var montoN = cantidad * precio;

    document.getElementById("monto" + id).innerHTML = montoN.toFixed(2);
    agregadosCambiarCantidadMenos(id);
  }
}
//agrega los productos al carrito
function agregarCarrito(id, ban) {
  var bande = false;
  if (ban == 1) {
    var cantidad = document.getElementById("cantidad").value;
    bande = true;
    console.log(cantidad);
  } else {
    console.log(ban);
    if (ban == 2) {
      var cantidad = (document.getElementById("cantidad").value = 1);
      bande = true;
      console.log(cantidad);
    }
  }
  if (bande) {
    $.ajax({
      url: "/carritoCompras",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: { ide: id, cantidad: cantidad },
      //processData: false, // tell jQuery not to process the data
      //contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        console.log("success");
        if (json.estado == "success") {
          ocultarmodalDetallesProducto();
        }
        msj("Carrito", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

function agregadosCambiarCantidad(id) {
  cantidad = 1;
  $.ajax({
    url: "/carritoCompras",
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    data: { ide: id, cantidad: cantidad },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
        document.getElementById("cantidadAgregados" + id).value = json.cantidad;
        document.getElementById("costoTabla" + id).innerHTML =
          json.precio * json.cantidad;
        var t = document.getElementById("label-total").innerHTML;
        document.getElementById("label-total").innerHTML = t * 1 + json.precio;
      } else {
        msj("Carrito", json.mensaje, json.estado);
      }
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function agregadosCambiarCantidadMenos(id) {
  cantidad = 1;
  $.ajax({
    url: "/carritoComprasN/quitar",
    type: "GET",
    dataType: "json",
    data: { ide: id, cantidad: cantidad },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
      } else {
        msj("Carrito", json.mensaje, json.estado);
      }
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function quitarCarrito(id) {
  mp();
  $.ajax({
    url: "/carritoCompras/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
        listaAgregados();
      }
      msj("Carrito", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function productosCategoria(id) {
  var nombre = document.getElementById("cajaBuscarNombre").value;
  $.ajax({
    url: "/categoriasInicio",
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
    data: { id: id, nombre: nombre },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
      mostrarElemento("listaCarrito");
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function productosFiltrosPrincipal() {
  mp();
  // var nombre = document.getElementById("cajaBuscarNombre").value;
  var minimo = document.getElementById("price-left").innerText;
  var maximo = document.getElementById("price-right").innerText;
  var categoria = $('input[name="categoria"]:checked').val();
  minimo = minimo.replace("$", "");
  maximo = maximo.replace("$", "");
  $.ajax({
    url: "/categoriasInicio",
    type: "GET",
    dataType: "html",
    data: { id: categoria, minimo: minimo, maximo: maximo },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
      //mostrarElemento("listaCarrito");
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function carritoPrimeraVes() {
  //alert(" Listar compras");
  $.ajax({
    url: "/clienteExiste",
    type: "GET",
    dataType: "json",
  })
    .done(function (json) {
      if (json.estado == "success") {
        listaAgregados();
      } else {
        msj("Carrito", "Por favor inicia sesion", json.estado);
      }
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
function listaAgregados() {
  mp();
  $.ajax({
    url: "/carritoCompras",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedorPrincipal").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function retraso() {
  identificadorTiempoDeEspera = setTimeout(listaAgregados, 300);
}
function ocultarElemento(id) {
  var ele = document.getElementById(id);
  ele.style.display = "none";
}
function mostrarElemento(id) {
  var ele = document.getElementById(id);
  ele.style.display = "block";
}
function metodoPagar() {
  $.ajax({
    url: "/carritoCompras/metodoPago",
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    //data: { ide: id, cantidad: cantidad },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
        mostrarReferencia();
      }
      msj("Carrito", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function mostrarReferencia() {
  $.ajax({
    url: "/carritoCompras/referencia",
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedorPrincipal").html(vista);
      // mostrarElemento("listaCarrito");
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function mostrarReferenciaDetalles(id) {
  $.ajax({
    url: "/carritoCompras/referenciaDetalles/" + id,
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedorPrincipal").html(vista);
      // mostrarElemento("listaCarrito");
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function metodoPagarVentanilla(id) {
  $.ajax({
    url: "/carritoCompras/PagarVentanilla/" + id,
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    //data: { ide: id, cantidad: cantidad },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
      }
      msj("Carrito", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//oyente listar compras
$(document).ready(function () {
  $("#listado_compra").click(function (e) {
    listar_compras();
  });
});

//Mostrar listado de las compras
function listar_compras() {
  //alert(" Listar compras");
  mp();
  $.ajax({
    url: "/admin/compras",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//filtrado
function filtro_compra(f) {
  mp();
  $.ajax({
    url: "/admin/compras",
    type: "GET",
    dataType: "html",
    data: {
      referencia: f.f_referencia.value,
      estado: f.f_estado.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Mostrar dettales de la compra administrador
function mostrar_detalles_admin(id) {
  //alert(" Listar compras");
  mp();
  $.ajax({
    url: "/admin/detalleCompra/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Entregar producto
function producto_entregado(id) {
  $.ajax({
    url: "/admin/entregarProducto/" + id,
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    //data: { ide: id, cantidad: cantidad },
    //processData: false, // tell jQuery not to process the data
    //contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
      }
      msj("Compras", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function cargar_carrito_compra(id) {
  mp();
  $.ajax({
    url: "/carritoComprasN/carrito/",
    type: "GET",
    dataType: "json",
    data: { ide: id, cantidad: 1 },
  })
    .done(function (json) {
      console.log("success");
      if (json.estado == "success") {
      }
      msj("Carrito", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function cargar_carrito_compra_sin(id) {
  $.ajax({
    url: "/carritoComprasN/carrito/",
    type: "GET",
    dataType: "json",
    data: { ide: id, cantidad: 1 },
  })
    .done(function (json) {
      console.log("success");
      if (json.estado != "success") {
        msj("Carrito", json.mensaje, json.estado);
      }
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
function claseIn(id) {
  item = document.getElementById(id);
  if (item.classList.contains("in")) {
    item.classList.remove("in");
  } else {
    item.classList.add("in");
  }
}

////////////////////////////////////////////////////////////////////////////////
// pruebas ventanilla
function buscar_referencia_ventanilla() {
  var id = document.getElementById("referencia").value;
  if (id != null && id != "") {
    $.ajax({
      url: "/carritoCompras/consultarReferenciaVentanilla/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: { ide: id, cantidad: 1 },
    })
      .done(function (json) {
        console.log("success");
        if (json.estado != "error") {
          var tabla =
            "<table class='table table-striped borde-tabla bulk_action ' id='tabla'>" +
            "<thead class='fondo-tabla'>" +
            "<tr class='headings'>" +
            "<th class='column-title text-center'></th>" +
            "<th class='column-title text-center'>Producto</th>" +
            "<th class='column-title text-center'>Precio </th>" +
            "<th class='column-title text-center'>Cantidad </th>" +
            "<th class='column-title text-center'>Monto </th>" +
            "</tr>" +
            "</thead>" +
            "<tbody>";
          json.renglon_ticket.forEach(function (elemento, index) {
            console.log(elemento.ren_producto.nombre);
            tabla =
              tabla +
              "<tr class='even pointer'style='color:rgb(0, 0, 0);'> " +
              "<td class='text-center'></td>" +
              "<td class='' data-label='Producto: '>" +
              elemento.ren_producto.nombre +
              "</td>" +
              "<td class='text-right' data-label='Precio: '>&dollar;" +
              elemento.precio +
              "</td>" +
              "<td class='text-center' data-label='Cantidad: '>" +
              elemento.cantidad +
              "</td>" +
              "<td class='text-right' data-label='Monto: '>&dollar;" +
              elemento.precio * 1 * (elemento.cantidad * 1) +
              "</td>" +
              " </tr>";
          });
          tabla =
            tabla +
            "<tr class='even pointer' style='color:rgb(0, 0, 0);'><td colspan='2'>" +
            "</td>" +
            "<td>Total</td>" +
            "<td>" +
            "<small>&dollar;</small>" +
            json.monto +
            "</td>" +
            "<td class='text-center'> </tr></tbody>" +
            "</table>";

          document.getElementById("contenedorTablaDetallesPetshop").innerHTML =
            tabla;
          console.log(json.cliente_id);
        }else{
          msj("Ventanilla","La referencia no existe, por favor revisala.", "error")
        }
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
      });
  } else {
    msj("Ventanilla", "Ingresa la referencia", "error");
  }
}
